import '../../../../../../food_delivery_client.dart';

class OrderItem extends StatelessWidget {
  const OrderItem({super.key});

  @override
  Widget build(BuildContext context) {
    return InkWell(
      onTap: () {},
      child: Ink(
        child: Column(
          children: [
            Row(
              crossAxisAlignment: CrossAxisAlignment.center,
              children: [
                ClipRRect(
                  borderRadius: AppUtils.kBorderRadius40,
                  child: CachedNetworkImage(
                    imageUrl: AppLocaleKeys.imageUrl,
                    height: 70,
                    width: 70,
                    fit: BoxFit.cover,
                  ),
                ),
                16.horizontalSpace,
                Expanded(
                  child: Column(
                    crossAxisAlignment: CrossAxisAlignment.start,
                    children: [
                      Text(
                        AppLocaleKeys.lorem,
                        maxLines: 1,
                        overflow: TextOverflow.ellipsis,
                        style: AppTextStyles.size16Medium,
                      ),
                      Row(
                        spacing: 5,
                        mainAxisAlignment: MainAxisAlignment.start,
                        mainAxisSize: MainAxisSize.min,
                        children: [
                          Expanded(
                            child: Text(
                              AppLocaleKeys.lorem,
                              maxLines: 1,
                              overflow: TextOverflow.ellipsis,
                              style: AppTextStyles.size14Regular.copyWith(
                                color: AppColors.c6B6B6B,
                              ),
                            ),
                          ),
                          Icon(Icons.circle, size: 5, color: AppColors.c6B6B6B),
                          Expanded(
                            child: Text(
                              AppLocaleKeys.lorem,
                              maxLines: 1,
                              overflow: TextOverflow.ellipsis,
                              style: AppTextStyles.size14Regular.copyWith(
                                color: AppColors.c6B6B6B,
                              ),
                            ),
                          ),
                        ],
                      ),
                      Text(
                        AppLocaleKeys.lorem,
                        maxLines: 1,
                        overflow: TextOverflow.ellipsis,
                        style: AppTextStyles.size14Regular.copyWith(
                          color: AppColors.c6B6B6B,
                        ),
                      ),
                    ],
                  ),
                ),
                10.horizontalSpace,
                SvgPicture.asset(AppIcons.icArrowRight),
              ],
            ).paddingSymmetric(vertical: 10, horizontal: 18),
            10.verticalSpace,
            WDivider(indent: 120, endIndent: 20, height: 1),
          ],
        ),
      ),
    );
  }
}
